﻿Imports MindFusion.Charting.Wpf
Imports System.Windows.Media.Effects

Class Window1

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Dim stroke1 As Brush = Brushes.DodgerBlue
        Dim fill1 As RadialGradientBrush = New RadialGradientBrush(Colors.LightSkyBlue, Colors.DodgerBlue)
        fill1.Opacity = 0.6


        Dim stroke2 As Brush = Brushes.Violet
        Dim fill2 As RadialGradientBrush = New RadialGradientBrush(Colors.BlueViolet, Colors.Violet)
        fill2.Opacity = 0.6

        radarChart.Title = "Monthly Sales"
        radarChart.TitleMargin = New Thickness(40)
        radarChart.AngleStep = 60
        radarChart.Foreground = Brushes.White
        radarChart.MinValue = 0
        radarChart.MaxValue = 100
        radarChart.InnerLabelAngle = 90
        radarChart.InnerLabelType = LabelType.CustomText
        radarChart.InnerLabels = New String() {"0%", "20%", "40%", "60%", "80%", "100%"}


        radarChart.OuterLabelType = LabelType.CustomText
        radarChart.OuterLabelOffset = 40
        radarChart.OuterLabels = New String() {"January", "February", "March", "April", "May", "June"}
        radarChart.OuterLabelForeground = Brushes.White
        radarChart.OuterLabelBackground = Nothing
        radarChart.OuterLabelBorderBrush = Nothing
        radarChart.OuterLabelBorderThickness = New Thickness(0)




        Dim stack1 As StackPanel = New StackPanel()
        stack1.Orientation = Orientation.Horizontal

        Dim b As Border = New Border()
        b.Background = fill1
        b.Width = 20
        b.Height = 20
        stack1.Children.Add(b)


        Dim text As TextBlock = New TextBlock()
        text.Text = "Coldseal"
        text.Foreground = Brushes.White
        text.Margin = New Thickness(10, 0, 0, 0)

        stack1.Children.Add(text)
        Dim legend1 As SeriesLegend = New SeriesLegend()
        legend1.Items.Add(stack1)
        radarChart.Legends.Add(legend1)

        Dim stack2 As StackPanel = New StackPanel()
        stack2.Orientation = Orientation.Horizontal
        stack2.Margin = New Thickness(0, 10, 0, 0)


        Dim b2 As Border = New Border()
        b2.Background = fill2
        b2.Width = 20
        b2.Height = 20



        Dim text2 As TextBlock = New TextBlock()
        text2.Text = "Danawe"
        text2.Foreground = Brushes.White
        text2.Margin = New Thickness(10, 0, 0, 0)

        stack2.Children.Add(b2)
        stack2.Children.Add(text2)

        legend1.Items.Add(stack2)
        legend1.Margin = New Thickness(20, 0, 0, 0)

        radarChart.Series.Clear()

        Dim ef As DropShadowEffect = New DropShadowEffect
        ef.Opacity = 0.7
        ef.ShadowDepth = 3

        Dim serie1 As RadarSeries = New RadarSeries()
        serie1.Fills = New BrushCollection
        serie1.Effect = ef
        serie1.Strokes = New BrushCollection
        serie1.RadarScatterFills = New BrushCollection
        serie1.RadarScatterStrokes = New BrushCollection
        serie1.ScatterSize = 15
        serie1.Strokes.Add(stroke1)
        serie1.RadarScatterStrokes.Add(stroke1)
        serie1.RadarScatterFills.Add(fill1)
        serie1.Fills.Add(fill1)
        serie1.LabelBackground = Nothing
        serie1.LabelBorderBrush = Nothing
        serie1.LabelForeground = Brushes.White
        serie1.LabelOffset = 30

        serie1.Data = New DoubleCollection(New Double() {46, 55, 66, 89, 107, 66, 77, 20, 30})
        Dim list As List(Of String) = New List(Of String)()
        For i As Integer = 0 To serie1.Data.Count - 1
            serie1.Data(i) = CType(serie1.Data(i), Double) * 0.82
            Dim s As String = serie1.Data(i).ToString() + "%"
            list.Add(s)
        Next
        serie1.Labels = list.ToArray()
        serie1.LabelType = LabelType.CustomText
        serie1.Angles = New DoubleCollection(New Double() {0, 23, 75, 99, 137, 158, 211, 265, 300})
        radarChart.Series.Add(serie1)


        Dim serie2 As RadarSeries = New RadarSeries()
        serie2.Effect = ef
        serie2.Fills = New BrushCollection
        serie2.Strokes = New BrushCollection
        serie2.RadarScatterFills = New BrushCollection
        serie2.RadarScatterStrokes = New BrushCollection
        serie2.ScatterSize = 15
        serie2.Strokes.Add(stroke2)
        serie2.RadarScatterStrokes.Add(stroke2)
        serie2.RadarScatterFills.Add(fill2)
        serie2.Fills.Add(fill2)
        serie2.LabelBackground = Nothing
        serie2.LabelBorderBrush = Nothing
        serie2.LabelForeground = Brushes.White
        serie2.LabelOffset = 30

        serie2.Data = New DoubleCollection(New Double() {92, 100, 77, 44, 19, 24, 53, 98, 81})
        serie2.LabelType = LabelType.CustomText
        Dim list2 As List(Of String) = New List(Of String)()
        For i As Integer = 0 To serie2.Data.Count - 1
            serie2.Data(i) = CType(serie2.Data(i), Double) * 0.82
            Dim s As String = serie2.Data(i).ToString() + "%"
            list2.Add(s)
        Next
        serie2.Labels = list2.ToArray()
        serie2.Angles = New DoubleCollection(New Double() {0, 33, 75, 99, 147, 208, 211, 265, 300})
        radarChart.Series.Add(serie2)



        radarChart.SectionBrushes = New List(Of Brush)
        radarChart.SectionStrokes = New List(Of Brush)
        radarChart.SectionBrushes.Add(New SolidColorBrush(Color.FromArgb(255, 128, 128, 128)))
        radarChart.SectionStrokes.Add(New SolidColorBrush(Color.FromArgb(255, 200, 200, 200)))
        radarChart.OuterAxisStroke = New SolidColorBrush(Color.FromArgb(255, 200, 200, 200))
        radarChart.InnerAxisStroke = New SolidColorBrush(Color.FromArgb(255, 200, 200, 200))


    End Sub

End Class
